Bug 254039 - www/py-flask-jwt-extended: Update to 4.3.1
Summary: www/py-flask-jwt-extended: Update to 4.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/vimalloc/flask-jwt...
Keywords: buildisok
Depends on: 254038
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-05 15:40 UTC by Goran Mekić
Modified: 2021-12-24 13:02 UTC (History)
2 users (show)

See Also:


Attachments
flask-jwt-extended.diff (992 bytes, patch)
2021-03-05 15:40 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff
patch to update from 3.25.0 to 4.3.1 (2.79 KB, patch)
2021-12-22 13:50 UTC, Rainer Hurling
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2021-03-05 15:40:19 UTC
Created attachment 223006 [details]
flask-jwt-extended.diff

QA:

  * portlint: OK (WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.)
  * testport: OK (poudriere: 12.2, amd64 tested)
  * maketest: OK (150 passed, 3 deselected)
Comment 1 Automation User 2021-03-05 15:54:57 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/266097757
Comment 2 Rainer Hurling freebsd_committer 2021-12-22 13:50:58 UTC
Created attachment 230313 [details]
patch to update from 3.25.0 to 4.3.1

Hi Goran,

I am now in the process of updating the port. In the meantime, we are at 4.3.1.

There are some breaking changes described in https://flask-jwt-extended.readthedocs.io/en/stable/v4_upgrade_guide/, like the minimal Python version and a need for www/py-pyjwt >= 2.x.

So this update will be the first one using py-pyjwt v.2.3.0 :)  The only dependend port is www/py-freenit, which make some trouble :(


Could you please have a look, if the patch for www/py-pyjwt is ok, and more important, how to solve the problems with its dependend www/py-freenit, thanks.
Comment 3 Goran Mekić 2021-12-22 16:57:31 UTC
(In reply to Rainer Hurling from comment #2)
Don't worry about Freenit. I'm author of that framework so I'll fix whatever is broken on that port.

That being said, this patch looks OK to me.
Comment 4 commit-hook freebsd_committer 2021-12-24 12:55:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=55ced36bf825374b8470a7b1ed8a9cc1cfc35744

commit 55ced36bf825374b8470a7b1ed8a9cc1cfc35744
Author:     Goran Mekic <meka@tilda.center>
AuthorDate: 2021-12-24 12:47:00 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-12-24 12:47:00 +0000

    www/py-flask-jwt-extended: Update to 4.3.1

    Release 4.0.0 includes a lot of breaking changes, and will require some manual intervention to upgrade, see https://flask-jwt-extended.readthedocs.io/en/stable/v4_upgrade_guide/

    Changelog: https://github.com/vimalloc/flask-jwt-extended/compare/3.25.0...4.3.1

    PR:             254039

 www/py-flask-jwt-extended/Makefile | 7 +++----
 www/py-flask-jwt-extended/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 7 deletions(-)
Comment 5 Rainer Hurling freebsd_committer 2021-12-24 12:57:33 UTC
Committed, thanks!

Please, don't forget to update www/py-freenit, as told about in comment #3 ;)
Comment 6 Goran Mekić 2021-12-24 13:02:37 UTC
(In reply to Rainer Hurling from comment #5)
Thank you for the merge.

For Freenit, of course, I'm already tracking it under https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257868. As soon as its dependencies are resolved, it's good to merge.